Changelog

Version 1.0.7

  • CCDB-4261: Validate table names conform to Spanner naming convention

Version 1.0.6

  • CCDB-3790: Remove dependency on google-api-client

Version 1.0.5

  • Upgrade Spanner library to 5.0.0
  • Address known CVEs with upgrades to dependencies
  • Validate connectivity, credentials, and permissons before allowing connector to be created

Version 1.0.4

  • Update docs URL path

Version 1.0.3

  • CC-12295: Upgrade parent to 0.5.5
  • CC-12030: Upgrade google-cloud-spanner 1.21.0 to 2.0.2
  • CC-11862: Remove confluent-licensing dep in Spanner

Version 1.0.2

  • Promote connector to General Availability

Version 1.0.1

No changes

Version 1.0.0

Initial version for preview